package models

import "gorm.io/gorm"

// Emotes are combinations of a name, the server it originated from
// and the media for it
//
// TODO: Include the case of unicode icons being used as emote
type Emote struct {
	gorm.Model               // Standard gorm model for id and timestamps
	Metadata   MediaMetadata // The media used by this emote
	MetadataId string        // Id of the media information, primarily for gorm
	// Name of the emote. Also the text for using it in a message (ex. :bob:)
	Name string

	Server   RemoteServer // Server the emote is from
	ServerId uint         // Id of the server
}
