package models

import "time"

// A LoginProcessToken contains a token used during the login process.
// Login tokens are used during login to identify and track the login process
// if said process involves multiple steps (2fa and passkey)..
// Each user may have multiple active login processes at the same time.
type LoginProcessToken struct {
	ID        uint64 `gorm:"primarykey"`
	User      User
	UserId    string `gorm:"unique"`
	Token     string `gorm:"type:uuid;default:gen_random_uuid()"`
	Name      string
	ExpiresAt time.Time
}
